Bug 212359 - FC6 fresh install doesn't boot on x86_64: multiple segmentation faults
FC6 fresh install doesn't boot on x86_64: multiple segmentation faults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 11:01 EDT by Thomas Jollans
Modified: 2008-05-06 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshots (2.21 MB, application/x-gzip)
2006-10-26 11:01 EDT, Thomas Jollans
no flags Details
Screenshots, large res (987.69 KB, application/x-gzip)
2006-10-30 14:39 EST, Thomas Jollans
no flags Details

  None (edit)
Description Thomas Jollans 2006-10-26 11:01:48 EDT
Description of problem:
When I boot Fedora Core 6 (fresh from DVD, no upgrades, x86_64, first boot), the
system crashes with multiple segfaults, starting at SELinux initialization. All
error output I could catch with a camera on tty1 are attached.

Version-Release number of selected component (if applicable):
Fedora Core 6 fresh install

How reproducible: always, possibly only on my machine


Steps to Reproduce:
1. install FC6/x86_64 from DVD
2. boot FC6
  
Actual results:
the graphical boot screen freezes after a few moments. TTY1 shows a lot of error
messages, stack traces etc. The system fails to boot.

Expected results:
Clean boot.

Additional info:
lspci output (from gentoo)
  00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
  00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
  00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
  00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
  00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
  00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio
Controller (rev a2)
  00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2)
  00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
  00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
  00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
  00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
  00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
  00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
  00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
  00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
  00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
  00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Address Map
  00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
  00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
  01:0c.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
  04:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev a2)

Screenshots of the crash are attached.
This might have somthing to do with bug #185302
Comment 1 Thomas Jollans 2006-10-26 11:01:49 EDT
Created attachment 139469 [details]
Screenshots
Comment 2 Bill Nottingham 2006-10-26 11:30:46 EDT
Pushing to kernel for the moment - something seems wrong on that end.
Comment 3 Dave Jones 2006-10-28 14:41:44 EDT
Wow, what a mess! In the first screenshot, there's a tailend of what looks like
it might have found linked list corruption in the kernel, but unfortunately, the
interesting part scrolled off the top.   Here's some tricks..

boot with vga=1 (or try =791 if your monitor can handle it)
That will give you more lines of text per screen.

boot_delay=1000 will slow down the printk output, so you can get exact captures
of early crashes.

Thanks for the pictures, they're very useful, especially with a large volume of
problems like this in the absense of a serial console, they're the next best thing.

My initial guess is that we've corrupted some part of kernel memory, and
everything is falling apart as a result of this.
Do you have any kernel modules installed that weren't part of FC6 ?

I also assume this box passes a run of memtest86+, and that you're not
overclocking ?

What filesystems do you have on your disk(s) ?
Comment 4 Thomas Jollans 2006-10-29 20:08:18 EST
As stated, this is a fresh FC6 install, so no custom kernel modules or anything.
Just stuff from the core. (if you need more info about installed packages and
tell me the commands to get to it, I can check in a chroot).
I am not overclocking. I have not tried memtest86+, but I've been running 2.6
kernels regularly on this box since January - and haven't noticed a problem. I
use ext3, created by anaconda, for / and reiserfs, created ages ago, for /home/.
Other partitions (not mounted) use ext3 or reiserfs as well AFAIK.

I'll try with vga=794 boot_delay=1000 when I get a chance, which will probably
be tomorrow evening or on wednesday.
Comment 5 Thomas Jollans 2006-10-30 14:39:59 EST
Created attachment 139756 [details]
Screenshots, large res

boot_delay did not seam to work for me, it resulted in a blank screen with a
green line drawn at the top. The beginning is on the screenshot in full; at the
end there was less output than in the first runs, I believe.
Comment 6 Thomas Jollans 2006-11-13 08:58:05 EST
the machine passes memtest86+.

could this be the result of a corrupt kernel package of something ? If so, could
someone possibly compile a new package for testing this ?
Comment 7 Jarod Wilson 2006-11-13 13:21:26 EST
(In reply to comment #6)
> could this be the result of a corrupt kernel package of something ?

No. The FC6 GA kernel package works fine for most people.

> If so, could
> someone possibly compile a new package for testing this ?

There's a new kernel available in updates, you might give that a shot.
Comment 8 Bug Zapper 2008-04-04 00:07:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 12:33:25 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.